#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	%(echo %{name} | cut -d '-' -f1)
%define		docbook		%{_sysconfdir}/xml/%{shortname}
%define		cataloc		%{_sysconfdir}/xml/catalog
#-----------------------------------------------------------------------------
Name		:	sgml-common
Version		:	0.6.3
Release		:	17.0.10.rel%{?dist}
Summary		:	Common SGML catalog and DTD files
Group		:	Applications/Text

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+
URL		:	https://sourceware.org/ftp/docbook-tools/new-trials/SOURCES/ 

Source0		:	%{name}-%{version}.tgz
Patch0		:	%{name}-%{version}-manpage-1.patch

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
The sgml-common package contains a collection of entities and DTDs
that are useful for processing SGML, but that don't need to be
included in multiple packages.  Sgml-common also includes an
up-to-date Open Catalog file.

%prep
%setup -q 
%patch0 -p1

#---------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} 						\
	DESTDIR=%{buildroot}				\
	docdir=%{_defaultdocdir}			\
	install

%files			
%defattr(-,root,root,-)

%doc AUTHORS COPYING README NEWS

%{_sysconfdir}/%{shortname}/%{shortname}.conf
%{_bindir}/install-catalog
%{_bindir}/sgmlwhich
%{_defaultdocdir}/%{name}-%{version}/html/*.html
%{_datadir}/%{shortname}/xml-iso-entities-8879.1986/*.ent
%{_datadir}/%{shortname}/xml-iso-entities-8879.1986/catalog
%{_datadir}/%{shortname}/%{shortname}-iso-entities-8879.1986/*.ent
%{_datadir}/%{shortname}/%{shortname}-iso-entities-8879.1986/catalog
%{_datadir}/%{shortname}/xml.dcl
%{_mandir}/man8/*.8.gz

%pre

#after upgrade or remove
%preun
/bin/sh %{_usrbin}/install-catalog --remove		\
  /etc/sgml/sgml-docbook.cat				\
  /etc/sgml/sgml-ent.cat				\
  > /dev/null 2>&1 || :

/bin/sh %{_usrbin}/install-catalog --remove		\
  /etc/sgml/sgml-ent.cat				\
  /usr/share/sgml/sgml-iso-entities-8879.1986/catalog	\
  > /dev/null 2>&1 || :


%post
/bin/sh %{_bindir}/install-catalog --add		\
  /etc/sgml/sgml-ent.cat				\
  /usr/share/sgml/sgml-iso-entities-8879.1986/catalog	\
  > /dev/null 2>&1 || :

/bin/sh %{_bindir}/install-catalog --add		\
  /etc/sgml/sgml-docbook.cat				\
  /etc/sgml/sgml-ent.cat				\
  > /dev/null 2>&1 || :

%postun

%changelog
